ALSA project - the C library reference

Functions
pcm_extplug.c File Reference
External PCM plugin SDK

External Filter Plugin SDK. More...

## Functions
int | snd_pcm_extplug_create (snd_pcm_extplug_t *extplug, const char *name, snd_config_t *root, snd_config_t *slave_conf, snd_pcm_stream_t stream, int mode)
| Create an extplug instance. More...
int | snd_pcm_extplug_delete (snd_pcm_extplug_t *extplug)
| Delete the extplug instance. More...
void | snd_pcm_extplug_params_reset (snd_pcm_extplug_t *extplug)
| Reset extplug parameters. More...
int | snd_pcm_extplug_set_slave_param_list (snd_pcm_extplug_t *extplug, int type, unsigned int num_list, const unsigned int *list)
| Set slave parameter as the list. More...
int | snd_pcm_extplug_set_slave_param_minmax (snd_pcm_extplug_t *extplug, int type, unsigned int min, unsigned int max)
| Set slave parameter as the min/max values. More...
int | snd_pcm_extplug_set_param_list (snd_pcm_extplug_t *extplug, int type, unsigned int num_list, const unsigned int *list)
| Set master parameter as the list. More...
int | snd_pcm_extplug_set_param_minmax (snd_pcm_extplug_t *extplug, int type, unsigned int min, unsigned int max)
| Set master parameter as the min/max values. More...
int | snd_pcm_extplug_set_param_link (snd_pcm_extplug_t *extplug, int type, int keep_link)
| Keep the client and slave format/channels the same if requested. This is for example useful if this extplug does not support any channel conversion. More...

## Detailed Description

External Filter Plugin SDK.

Author
  Takashi Iwai tiwai.nosp@m.@sus.nosp@m.e.de

Date
  2005